function readURL(input) {
	$(input).parents('.tab-pane').find('.image_inputs_prev').remove();
	var urls = [];
	if (input.files) {
		$.each(input.files, function(key, value) {
			var reader = new FileReader();
			reader.onload = function(e) {
				$(input).parent().append('<img src="'+ e.target.result +'" width="100" class="image_inputs_prev" />');
			}
			reader.readAsDataURL(value);
		});
	}
	return urls;
}
function checkboxerInit() {
    $.each($('.checkboxer input[type=radio]:checked'), function(index, value) {
        $(value).trigger('change');
    });
}
$(function() {
    var counter = 0;
    $(document).on('click', '.add_row', function() {
        counter++;
        var clone = $('#main_row').clone().html().replace(new RegExp("Option\\[0\\]", 'g'), "Option["+counter+"]");
        console.log(form);
        $(clone).appendTo('#'+form);
        $('#'+form+' button[type=submit]').parent().appendTo('#'+form);
    });
    $(document).on('click', '.add_lang', function() {
        var field_block = $(this).parent().parent();
        if($(this).hasClass('active')) {
            $(field_block).find('.main_input').attr('required', '').show();
            $(field_block).find('.lang_inputs').hide();
            $(this).removeClass('active');
        } else {
            $(field_block).find('.main_input').removeAttr('required').hide();
            $(field_block).find('.lang_inputs').show();
            $(this).addClass('active');
        }
    });
    $(document).on('click', '.remove_lang', function() {
        $(this).parents('.form-wrapper').remove();
    });
    $(document).on('change', '.image_inputs_field', function() {
        readURL(this);
    });
    $('a.remove_image').on('click', function(e) {
        var el = $(this);
        e.preventDefault();
        if(confirm(confirm_message)) {
            $.ajax({
                type: 'post',
                url: $(this).attr('href'),
                data: $(this).data('params')
            }).done(function() {
                $(el).parents('.additional_image_container').remove();
            });
        }
        return false;
    });
    $.each($('.nav-tabs.f32'), function(key, value) {
        if($(value).find('li').length > 1) {
            $(value).find('li').append('<span class="glyphicon glyphicon-remove-circle remove-lang"></span>');
        }
    });
    $(document).on('click', '.dropdown-menu.f32:not(.old) li a[data-lang]', function() {
        var lang = $(this).data('lang');
        var flag = $(this).find('span').first().clone();
        var el = $(this);
        var id = $(this).attr('href').substr(1);
        var path = form[id].handler;
        var view = form[id].view;
        var model = form[id].model;
        $.get(path, { language_id: lang, widget_id: id, ajaxView: view, model: model }, function(data) {
            $('#'+id+'-tabs li').removeClass('active');
            $('#'+id+'-tabs').append('<li role="lang_inputs" class="active" data-lang="'+lang+'"><a href="#'+id+'-'+lang+'" aria-controls="'+id+'-'+lang+'" role="tab" data-toggle="tab">'+$('<p>').append($(flag)).html()+'</a></li>');
            $('#tab-content-'+id+' .tab-pane.active').removeClass('active');
            $('#tab-content-'+id).append($(data).find('.ajax-loaded').first());
            $('body').append($(data).filter('script'));
            $(el).parent().remove();
            if(!$('#lang-'+id+' li').length) {
                $('#'+id+'Lang').addClass('disabled');
            }
            if($('#'+id+'-tabs li').length > 1) {
                $('#'+id+'-tabs li').append('<span class="glyphicon glyphicon-remove-circle remove-lang"></span>')
            }
        });
    });
    $(document).on('click', '.dropdown-menu.f32.old li a[data-lang]', function(e) {
        e.preventDefault();
        var lang = $(this).data('lang');
        var flag = $(this).find('span').first().clone();
        var el = $(this);
        var id = $(this).attr('href').substr(1);
        $.get(form[id], { language_id: lang, widget_id: id }, function(data) {
            $('#'+id+'-tabs li').removeClass('active');
            $('#'+id+'-tabs').append('<li role="lang_inputs" class="active" data-lang="'+lang+'"><a href="#'+id+'-'+lang+'" aria-controls="'+id+'-'+lang+'" role="tab" data-toggle="tab">'+$('<p>').append($(flag)).html()+'</a></li>');
            $('#tab-content-'+id+' .tab-pane.active').removeClass('active');
            $('#tab-content-'+id).append($(data).find('.ajax-loaded').first());
            $('body').append($(data).filter('script'));
            $(el).parent().remove();
            if(!$('#lang-'+id+' li').length) {
                $('#'+id+'Lang').addClass('disabled');
            }
            if($('#'+id+'-tabs li').length > 1) {
                $('#'+id+'-tabs li').append('<span class="glyphicon glyphicon-remove-circle remove-lang"></span>')
            }
        });
    });
    $(document).on('click', '.remove-lang', function() {
        var lang = $(this).parent().data('lang');
        var flag = $(this).parent().find('span.flag').first().clone();
        var id = $(this).parent().find('a[aria-controls]').first().attr('aria-controls').substr(0,8);
        $('#'+id+'-'+lang).remove();
        $('#lang-'+id).append('<li><a href="#'+id+'" data-lang="'+lang+'">'+$('<p>').append($(flag)).html()+'</a></li>');
        $('#'+id+'Lang').removeClass('disabled');
        $(this).parent().remove();
        if($('#'+id+'-tabs li').length <= 1) {
            $('#'+id+'-tabs li').find('.remove-lang').remove();
        }
        if(!$('#'+id+'-tabs>li.active').length) {
            $('#'+id+'-tabs>li').first().find('a').tab('show');
        }
    });
    $(document).on('change', '.checkboxer .checkboxer_label input[type=radio]', function() {
        $(this).parents('.checkboxer').find('.checkboxer_container').removeClass('active');
        $(this).parents('.checkboxer_container').addClass('active');
    });
    $.each($('.f32'), function(i, val) {
        $(val).find('a[role=tab]').first().trigger('click');
    });
    checkboxerInit();
});